## rename

### Syntax:

    rename (thisObject, newName);

### Purpose:

Changes the name of thisObject to the string newName. This will only affect an object if it is currently on the screen either as a character (added using the addCharacter function) or a screen region (added using the addScreenRegion function).

### Return value:

No return value.

### See also:

Object Types and Events

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012